diff --git a/CHANGELOG b/CHANGELOG
index c31e514..8276eda 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -24,6 +24,7 @@
 - disable exports check for "-hosts" map.
 - fix memory allocation problem with global options patch.
 - fix master map lexer to admit "." in macro values (Mike Matera).
+- make ldap attribute match case insensitive.
 
 20/2/2007 autofs-5.0.1
 ----------------------
diff --git a/lib/master_tok.l b/lib/master_tok.l
index c15ef68..28d7d0d 100644
--- a/lib/master_tok.l
+++ b/lib/master_tok.l
@@ -98,7 +98,15 @@ DNSERVSTR2	(\/\/[[:alpha:]][[:alnum:]\-.]*(:[0-9]+)?\/)
 DNSERVSTR3	(([[:digit:]]{1,3}\.){3}[[:digit:]]{1,3}(:[0-9]+)?:)
 DNSERVSTR4	(\/\/([[:digit:]]{1,3}\.){3}[[:digit:]]{1,3}(:[0-9]+)?\/)
 DNSERVERSTR	{DNSERVSTR1}|{DNSERVSTR2}|{DNSERVSTR3}|{DNSERVSTR4}
-DNATTRSTR	(cn|nisMapName|automountMapName|ou|dc|o|c)
+
+AT_CN		([cC][[nN])
+AT_NMN		([nN][iI][sS][Mm][aA][pP][Nn][aA][mM][eE])
+AT_AMN		([aA][uU][tT][oO][mM][oO][uU][nN][tT][Mm][aA][pP][Nn][aA][mM][eE])
+AT_OU		([oO][[uU])
+AT_DC		([dD][[cC])
+AT_O		([oO])
+AT_C		([cC])
+DNATTRSTR	{AT_CN}|{AT_NMN}|{AT_AMN}|{AT_OU}|{AT_DC}|{AT_O}|{AT_C}
 DNNAMESTR	([[:alnum:]_.\-]+)
 
 INTMAP		(-hosts|-null)
